@include('includes.admin.header')
@include('includes.admin.sidebar')
<script>
    $(document).ready(function(){
        $('#position-menu').addClass('active');
    });
</script>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Add Main Positions 
            <small>From Positions</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Positions</a></li>
            <li class="active">Create Main Positions</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">Add New Position</h3>
                </div><!-- /.box-header -->
               <form class="form-horizontal" id='register-form'>
                   <div class="error" style="display: none">
                            
                        </div>
                  <div class="box-body">
                    <div class="form-group">
                      <label for="inputname3" class="col-sm-2 control-label">Name</label>
                      <div class="col-sm-9">
                        <input type="text" class="form-control" name='name' id="inputname3" placeholder="Name">
                      </div>
                    </div>
                      <div class="form-group">
                      <label for="inputname3" class="col-sm-2 control-label">Short Form</label>
                      <div class="col-sm-9">
                        <input type="text" class="form-control" name='short_form' id="inputname3" placeholder="Short Form">
                      </div>
                    </div>
                      <label for="inputname3" class="col-xs-12 pull-left control-label " style="text-align: left">Please select position location. Please select multiple columns if required. Click again to unselect the current row</label>
                      <div class='col-xs-12 ' id="football-field" >
                        <div class='col-xs-12 no-padding' style="background-color: green">
                            <img src='/images/field.png' style="position:absolute;width:100%;height:480px;" />
                        <?php
                        $count = 0;
                        for($i = 0; $i < 42; $i++)
                        {
                        ?>
                        <div class="each-player-holder" id="field-position-<?php echo $count++ ?>" data-id='{{$count}}' style="height:80px;border:1px solid;text-align: center;color:white;padding-top: 30px">
                            {{$count}}
                        </div>
                        <?php
                        }
                        ?>
                        </div>
                    </div>
                   
                  
		
                  </div><!-- /.box-body -->
                  <div class="box-footer">
                    <button type="reset" class="btn btn-default">Cancel</button>
                    <button type="button" class="btn btn-info pull-right" id='btn-submit'>Submit</button>
                  </div><!-- /.box-footer -->
                </form>
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
      <script>
            $(document).ready(function(){
                
                
                
                $('#btn-submit').click(function(){
                    var current  = $(this);
                    var columns = new Object();
                    $('.selected-field-column').each(function(){
                        columns[$(this).attr('data-id')] = $(this).attr('data-id');
                    });
                    
                   // current.attr('disabled', 'disabled').text('Please Wait. Saving.....');
                    var data = $("#register-form").serializeArray();
                    $.post('/admin/position/save',{data:data, columns:columns, "_token": "{{ csrf_token() }}"}, function(res, status){
                        
                        alert('Position Added Successfully');
                        window.location.href = '#body';
                        window.location.href = '/admin/position';
                    },'json')
                    .fail(function(xhr) {
                        var html = '';
                        var res = xhr.responseJSON;
                        $(res).each(function(i, value){
                            html+= '<p>' + value + '</p>';
                        });
                        $('.error').html(html).show();
                        $('#btn-submit').html('Submit').removeAttr('disabled');
                        window.location.href = '#body';
                    },'json');;
                });
                
                $('.each-player-holder').click(function(){
                    
                    if($(this).hasClass('selected-field-column'))
                    {
                        $(this).removeClass('selected-field-column');
                    }
                    else
                    {
                        var numItems = $('.selected-field-column').length;
                        console.log(numItems);
                        if(numItems == 11)
                        {
                            alert("You can add only a maximum of 11 players");
                            return;
                        }
                        $(this).addClass('selected-field-column');
                    }
                });
            });
        </script>
@include('includes.admin.footer')