<?php echo $__env->make('includes.admin.header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php echo $__env->make('includes.admin.sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<script>
    $(document).ready(function(){
        $('#schedule-menu').addClass('active');
    });
</script>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Schedule List
            <small>From Schedules</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Schedule</a></li>
            <li class="active">All Schedule</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">All Schedule</h3>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                  <table class="table table-bordered table-striped">
                      <thead>
                        <tr>
                          <th>#</th>
                          <th>
                              Name
                          </th>
                          <th>Date & Time</th>
                          <th>Ground</th>
                          <th>Opposite Team</th>
                          <th>Result</th>
                          <th>Actions</th>
                        </tr>
                      </thead>
                      <tbody>
                            <?php if($schedules->count() > 0): ?>
                            <?php $__currentLoopData = $schedules; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $schedule): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                  
                                </td>
                                <td>
                                    <?php echo e($schedule['name']); ?>

                                </td>
                                <td>
                                    <?php echo e(date("d M Y", strtotime($schedule['date_date']))); ?>

                                    <?php echo e(date("H:i:s", strtotime($schedule['time_time']))); ?>

                                </td>
                                <td>
                                    <?php echo e($schedule['ground']); ?>

                                </td>
                                <td>
                                    <?php echo e($schedule['opposite_team_det']['name']); ?>

                                </td>
                                <td>
                                    <?php echo e($schedule['result']); ?>

                                </td>
                                <td>
                                    <a class=" btn btn-xs btn-success" href="/admin/schedule/edit/<?php echo e($schedule['UUID']); ?>"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;&nbsp; 
                                    <button class=" btn btn-xs btn-danger btn-remove" data-name="<?php echo e($schedule['name']); ?>" data-id="<?php echo e($schedule['UUID']); ?>"><i class="glyphicon glyphicon-remove"></i></button>&nbsp;&nbsp;
                                     <a class=" btn btn-xs btn-success" href="/matches/<?php echo e($schedule['UUID']); ?>/substitution" target="_blank">Substitute Proposal</a>
  <!--                                    <a href="#" class="btn btn-sm bg-orange">vote of players</a>-->
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                      </tbody>
                    
		
                  </table>
                </div><!-- /.box-body -->
<!--                <div class="box-footer clearfix">
                  <ul class="pagination pagination-sm no-margin pull-right">
                    <li><a href="#">&laquo;</a></li>
                    <li><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">&raquo;</a></li>
                  </ul>
                </div>-->
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
      <script>
            $(document).on('click', '.btn-remove', function(){
                var id = $(this).attr('data-id');
                var name = $(this).attr('data-name');
                var conf = confirm("Are you sure you want to delete " + name);
                var parent = $(this).parents('tr').first();
                var current = $(this);
                if(conf)
                {
                    $.ajax({
                        url: '/admin/schedule/delete/' + id,
                        type: 'DELETE',
                        data:{"_token": "<?php echo e(csrf_token()); ?>"},
                        success: function(result) {
                            alert('Schedule deleted Successfully');
                            $(parent).remove();
                        },
                        error: function(xhr, textStatus, errorThrown){
                            alert('Something went wrong. Please check whether you had associated this schedule to a player');
                         }
                    },'json')
                    
                }
              
            });
          </script>
<?php echo $__env->make('includes.admin.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>